Loading...
Searching...
No Matches
topic.h File Reference
`#include <vector>`
`#include <variant>`
`#include "MQTTAsync.h"`
`#include "mqtt/delivery_token.h"`
`#include "mqtt/message.h"`
`#include "mqtt/subscribe_options.h"`
`#include "mqtt/types.h"`

Go to the source code of this file.

## Data Structures

class | mqtt::topic
class | mqtt::topic_filter

## Namespaces

namespace | mqtt

## Typedefs

using | mqtt::topic_ptr = topic::ptr_t
using | mqtt::const_topic_ptr = topic::const_ptr_t

## Detailed Description

Declaration of classes for MQTT topics and filters

Date
  May 1, 2013

Author
  Frank Pagliughi